# cHapticDeviceHandler Class Reference
[Devices]

This class implements a manager which lists the different devices available on your computer and provides handles to them. More...

`#include <CHapticDeviceHandler.h>`

List of all members.

## Public Member Functions
| cHapticDeviceHandler ()
| Constructor of cHapticDeviceHandler.
virtual | ~cHapticDeviceHandler ()
| Destructor of cHapticDeviceHandler.
unsigned int | getNumDevices ()
| Returns the number of devices connected to your computer.
void | update ()
| Updates information regarding the devices that are connected to your computer.
int | getDeviceSpecifications (cHapticDeviceInfo &a_deviceSpecifications, unsigned int a_index=0)
| Returns the specifications of the ith device.
int | getDevice (cGenericHapticDevice *&a_hapticDevice, unsigned int a_index=0)
| Returns a handle to the ith device if available.

## Detailed Description

This class implements a manager which lists the different devices available on your computer and provides handles to them.

## Member Function Documentation

int cHapticDeviceHandler::getDevice | ( | cGenericHapticDevice *& | a_hapticDevice,
|  | unsigned int | a_index = `0` |
| ) |  |  |

Returns a handle to the ith device if available.

Returns a handle to the ith device if available.

Parameters:

  | a_hapticDevice | Handle to device
  | a_index | Index number of the device.

Returns:
  Return 0 if no error occurred.

int cHapticDeviceHandler::getDeviceSpecifications | ( | cHapticDeviceInfo & | a_deviceSpecifications,
|  | unsigned int | a_index = `0` |
| ) |  |  |

Returns the specifications of the ith device.

Returns the specifications of the ith device.

Parameters:

  | a_deviceSpecifications | Returned result
  | a_index | Index number of the device.

Returns:
  Return 0 if no error occurred.

The documentation for this class was generated from the following files:

- D:/CHAI3D/build-2-0-0/2.0.0/win32/src/devices/CHapticDeviceHandler.h
- D:/CHAI3D/build-2-0-0/2.0.0/win32/src/devices/CHapticDeviceHandler.cpp

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.